Holger's Java API

## com.antelmann.sql
Interface ForeignKeyMappingInfo

All Known Implementing Classes:
  DefaultMappingInfo

    public interface ForeignKeyMappingInfo

this interface provides additional mapping information that allows to build more sophisticated SQL-supported filter components solely based on the interface.

Since:
  22.01.2009, 14:53:34
Author:
  Holger Antelmann
See Also:
  `MappingInfo`

Nested Class Summary
`static class` `ForeignKeyMappingInfo.Analyzer`

Method Summary
`Filter<? super Stub<?>>` `getForeignKeyFilter(String column)` returns a filter that limits the allowed choices for the foreign key column; may be null
`Map<String,Class<? extends DBEntry>>` `getForeignKeys()` returns all columns denoting a foreign key mapped to their respective class representation, so that a component can allow to select from the respective values accordingly.

Method Detail

### getForeignKeys

    Map<String,Class<? extends DBEntry>> getForeignKeys()

  returns all columns denoting a foreign key mapped to their respective class representation, so that a component can allow to select from the respective values accordingly.

  See Also:
    `getForeignKeyFilter(String)`

### getForeignKeyFilter

    Filter<? super Stub<?>> getForeignKeyFilter(String column)

  returns a filter that limits the allowed choices for the foreign key column; may be null

  See Also:
    `getForeignKeys()`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads